package com.nisum.offertransactionservice.dao;

import com.nisum.offertransactionservice.model.OfferTransactionRequest;
import com.nisum.offertransactionservice.model.OfferTransactionResponse;
import com.nisum.offertransactionservice.model.PERequest;
import com.nisum.offertransactionservice.model.PEResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;
import org.springframework.http.*;
import org.springframework.web.client.*;

@Component
public class OfferDao {

    @Autowired
    private RestTemplate restTemplate;

    @Value("${promotion.engine.calaculate.dicount.url}")
    private String promotionEngineUrl ;

    public OfferTransactionResponse convertions(OfferTransactionRequest offerTransactionRequest) {
        return null;
    }

    public PEResponse callPE(PERequest peRequest) {
        ResponseEntity<PEResponse> peResponse = restTemplate.exchange("http://localhost:8081"+promotionEngineUrl, HttpMethod.POST, HttpEntity.EMPTY, PEResponse.class);
        return peResponse.getBody();
    }
}
